Let’s Encrypt Update Blog!

End of life for Let’s Encrypt Legacy, time to update! In August, we shared in a blog post that the Let’s Encrypt original API, ACMEv1, would be reaching EOL (end of life) on October 31. Beginning in November, all new accounts will need to use the new API, ACMEv2. According to the Let’s Encrypt announcement, they will no longer allow new accounts to register using the Legacy Let’s Encrypt API after October 31. cPanel has developed a …

End of life for Let’s Encrypt Legacy, time to update! In August, we shared in a blog post that the Let’s Encrypt original API, ACMEv1, would be reaching EOL (end of life) on October 31. Beginning in November, all new accounts will need to use the new API, ACMEv2. According to the Let’s Encrypt announcement, they will no longer allow new accounts to register using the Legacy Let’s Encrypt API after October 31. cPanel has developed a …

Posted by Web Monkey

Leave a Reply